Orconoid

Price: $1.99

Infomation

Category:
Games
By:
Soluciones Empresariales Arga, S.L.
Version:
1.0.1
Released:
2016-05-14
Shared:
2016-06-02
Size:
45.0 MB
Download:
220
Compatibility:
Compatibility: Requires iOS 5.1.1 or later. Compatible with iPhone, iPad, and iPod touch.

Description

On Orconoid, along different levels, we must defeat countless armies of orcs and protect, thanks to our shield, the sorcerers of the kingdom. Smash the hordes of orcs who have come to attack us and expel them forever.


Play concept:
-------------

It is a new game concept that combines characteristics of different arcade games with a touch of strategy.

Our main task: Bounce the sphere on our shield as we gather with it the projectiles that can end with the life of our wizards. If we lose all of them, the magic sphere that have invoked will be destroyed and we lose the level.

But beware! Every so often, many more orcs appear in waves from the top of the screen, causing the game to be exciting all time.

However, to fight the toughest orcs, we will use magic. Since we will have several spells that we will acquire during our trip.

Plus many more surprises and other enemies, who put us to the limit in each game.


Features:
---------

* Guide to our adventurers in more than 40 levels full of enemies through various worlds to kill the evil orcs.
* Over 10 different types of objects and enemies. Each and every one of them will advance from time to time, trying to get as difficult as possible to defend our wizards.
* Final bosses, one per each world, completely differents.
* Totally replayable levels with countless possibilities to finish each level.
* Secondary goals in each level to complete the game 100%.

...More

Video/Screenshots

What's New

New content
Improved graphics
Bug fixes
New languages available

...More Download the app Download the app

Infomation

Category:
Games
By:
Soluciones Empresariales Arga, S.L.
Version:
1.0.1
Released:
2016-05-14
Shared:
2016-06-02
Size:
45.0 MB
Download:
220
Compatibility:
Compatibility: Requires iOS 5.1.1 or later. Compatible with iPhone, iPad, and iPod touch.